MetricSetControllerUpdateStateGroupOnMetricSet Method |
PUT /MetricSet/UpdateStateGroup/{id}
Updates the specified state group in a metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("UpdateStateGroup")]
public IActionResult UpdateStateGroupOnMetricSet(
Guid id,
[FromBodyAttribute] StateGroupData options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("UpdateStateGroup")>
Public Function UpdateStateGroupOnMetricSet (
id As Guid,
<FromBodyAttribute> options As StateGroupData,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"UpdateStateGroup")]
IActionResult^ UpdateStateGroupOnMetricSet(
Guid id,
[FromBodyAttribute] StateGroupData^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("UpdateStateGroup")>]
member UpdateStateGroupOnMetricSet :
id : Guid *
[<FromBodyAttribute>] options : StateGroupData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the metric set. - options
- Type: Dundas.BI.WebApi.ModelsStateGroupData
The options for updating this state group on the metric set. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also